%define _pkgconfigdir	%{_libdir}/pkgconfig
%define _disable_ld_no_undefined 1
%define develname %mklibname -d xcb-util
%define staticdevelname %mklibname -s -d xcb-util

Name: xcb-util
Summary: A number of libraries which sit on top of libxcb
Version: 0.4.0
Release: %mkrel 1
Group: System/X11
License: MIT
URL: http://xcb.freedesktop.org
Source: http://xcb.freedesktop.org/dist/%name-%{version}.tar.xz
BuildRoot:  %{_tmppath}/%{name}-root
BuildRequires: x11-proto-devel >= 7.3
BuildRequires: x11-util-macros >= 1.1.5
BuildRequires: xcb-devel
BuildRequires: gperf
Requires: %{_lib}xcb-util-keysyms1


%description
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.


# Require Obsoletes
%define libxcb_util0   %mklibname xcb-util        0
%define libxcb_util1   %mklibname xcb-util        1

%files
%defattr(-,root,root)
#--------------------------------------------------------------------
%{_libdir}/libxcb-util.so.1
%{_libdir}/libxcb-util.so.1.0.0



%package -n %develname
Summary: A number of libraries which sit on top of libxcb
Group: Development/Libraries
Obsoletes: libxcb-util-devel < 0.3.4-2mdv
Provides:  libxcb-util-devel = %version-%release
Provides:  xcb-util-devel = %version-%release

%description -n %develname
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

%files -n %develname
%defattr(-,root,root)
%{_includedir}/xcb/xcb_atom.h
%{_includedir}/xcb/xcb_aux.h
%{_includedir}/xcb/xcb_event.h
%{_includedir}/xcb/xcb_util.h
%{_libdir}/pkgconfig/xcb-atom.pc
%{_libdir}/pkgconfig/xcb-aux.pc
%{_libdir}/pkgconfig/xcb-event.pc
%{_libdir}/pkgconfig/xcb-util.pc
%{_libdir}/libxcb-util.so



#--------------------------------------------------------------------


%package -n %staticdevelname
Summary: A number of libraries which sit on top of libxcb
Group: Development/Libraries
Provides:  libxcb-util-static-devel = %version-%release
Requires:  %develname = %version-%release

%description -n %staticdevelname
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

%files -n %staticdevelname
%defattr(-,root,root)
%{_libdir}/libxcb-util.a


%prep
%setup -q

%build
%configure2_5x

%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}


%changelog
* Fri Mar 11 2016 bb <bb> 0.4.0-1pclos2016
- update

* Sun Nov 10 2013 bb <bb> 0.3.9-2pclos2013
- add dependency xcb-util-keysyms1 for updating

* Thu Oct 31 2013 bb <bb> 0.3.9-1pclos2013
- update

